// @ts-expect-error (material-icons has no types)
import "@fontsource/material-icons";
import "@fontsource/roboto/300.css";
import "@fontsource/roboto/400.css";
import "@fontsource/roboto/500.css";
import "@fontsource/roboto/700.css";
import { CssBaseline, ThemeProvider } from "@mui/material";
import { createTheme } from "@mui/material/styles";
import { withThemeFromJSXProvider } from "@storybook/addon-themes";
import type { Preview } from "@storybook/react";

import { ucam } from "../src/theme";

const muiLight = createTheme({ palette: { mode: "light" } });
const muiDark = createTheme({ palette: { mode: "dark" } });

export const decorators = [
  withThemeFromJSXProvider({
    themes: { ucam, muiLight, muiDark },
    defaultTheme: "ucam",
    Provider: ThemeProvider,
    GlobalStyles: CssBaseline,
  }),
];

const preview: Preview = {
  decorators,
  parameters: {
    controls: {
      expanded: true, // Adds the description and default columns
      matchers: {
        color: /(background|color)$/i,
        date: /Date$/i,
      },
    },
  },
};

export default preview;
