import AddCircleIcon from "@mui/icons-material/AddCircle";
import Box from "@mui/material/Box";
import Container from "@mui/material/Container";
import Paper from "@mui/material/Paper";
import Typography from "@mui/material/Typography";
import { RatingExample } from "@ucam.uis.devops/mui-theme/placeholders/RatingExample";
import { TestButton } from "@ucam.uis.devops/mui-theme/placeholders/TestButton";
import { TypographyExample } from "@ucam.uis.devops/mui-theme/placeholders/TypographyExample";
import { useState } from "react";

function App() {
  const [count, setCount] = useState(0);

  return (
    <>
      <Container maxWidth="md">
        <Paper sx={{ my: 4, p: 1 }}>
          <Typography
            variant="h4"
            component="h1"
            sx={{ my: 8, textAlign: "center" }}
          >
            Material UI{" "}
            <Box component="span" sx={{ fontFamily: "Monospace" }}>
              @ucam.uis.devops/mui-theme
            </Box>{" "}
            example
          </Typography>
          <Box
            sx={{
              my: 8,
              display: "flex",
              flexDirection: "row",
              justifyContent: "center",
            }}
          >
            <TestButton
              variant="contained"
              startIcon={<AddCircleIcon />}
              label={`count is ${count}`}
              onClick={() => setCount((count) => count + 1)}
            />
          </Box>
        </Paper>
        <Paper sx={{ my: 4, p: 6 }}>
          <TypographyExample />
        </Paper>
        <Paper sx={{ my: 4, p: 6 }}>
          <RatingExample />
        </Paper>
      </Container>
    </>
  );
}

export default App;
